Package org.apache.el

## Class ValueExpressionLiteral

- java.lang.Object
- - jakarta.el.Expression
  - - jakarta.el.ValueExpression
    - - org.apache.el.ValueExpressionLiteral

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public final class ValueExpressionLiteral
    extends ValueExpression
    implements Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ValueExpressionLiteral()`
`ValueExpressionLiteral​(Object value, Class<?> expectedType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`boolean` `equals​(ValueExpressionLiteral ve)`
`Class<?>` `getExpectedType()`
`String` `getExpressionString()`
`Class<?>` `getType​(ELContext context)`
`<T> T` `getValue​(ELContext context)`
`int` `hashCode()`
`boolean` `isLiteralText()`
`boolean` `isReadOnly​(ELContext context)`
`void` `readExternal​(ObjectInput in)`
`void` `setValue​(ELContext context, Object value)`
`void` `writeExternal​(ObjectOutput out)`

### Methods inherited from class jakarta.el.ValueExpression

`getValueReference`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueExpressionLiteral

    public ValueExpressionLiteral()

#### ValueExpressionLiteral

    public ValueExpressionLiteral​(Object value,
                                  Class<?> expectedType)

### Method Detail

#### getValue

    public <T> T getValue​(ELContext context)

Specified by:
  `getValue` in class `ValueExpression`
Type Parameters:
  `T` - The expected type for the result of evaluating this value expression
Parameters:
  `context` - The EL context for this evaluation
Returns:
  The result of evaluating this value expression

#### setValue

    public void setValue​(ELContext context,
                         Object value)

Specified by:
  `setValue` in class `ValueExpression`
Parameters:
  `context` - The EL context for this evaluation
  `value` - The value to set the property to which this value expression refers

#### isReadOnly

    public boolean isReadOnly​(ELContext context)

Specified by:
  `isReadOnly` in class `ValueExpression`
Parameters:
  `context` - The EL context for this evaluation
Returns:
  `true` if this expression is read only otherwise `false`

#### getType

    public Class<?> getType​(ELContext context)

Specified by:
  `getType` in class `ValueExpression`
Parameters:
  `context` - The EL context for this evaluation
Returns:
  The type of the result of this value expression

#### getExpectedType

    public Class<?> getExpectedType()

Specified by:
  `getExpectedType` in class `ValueExpression`

#### getExpressionString

    public String getExpressionString()

Specified by:
  `getExpressionString` in class `Expression`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in class `Expression`

#### equals

    public boolean equals​(ValueExpressionLiteral ve)

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Expression`

#### isLiteralText

    public boolean isLiteralText()

Specified by:
  `isLiteralText` in class `Expression`

#### writeExternal

    public void writeExternal​(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal​(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`